Subject: bug#52948: 28.0.90; NS variant and X11 client are not separated on macOS Monterey, Version 12.1

From: Peter Dyballa <[email-masked]>
Date: Sun, 2 Jan 2022 12:20:28 +0100

Hello!

First I configured the NS variant à la (just a remake with the original invocation):

	In GNU Emacs 28.0.90 (build 1, x86_64-apple-darwin21.2.0, NS appkit-2113.20 Version 12.1 (Build 21C52))
	 of 2022-01-02 built on Kleines.local
	Windowing system distributor 'Apple', version 10.3.2113
	System Description:  macOS 12.1
	
	Configured using:
	 'configure --without-libsystemd --without-pop --without-sound
	 --without-gpm --without-dbus --without-selinux --without-imagemagick
	 --with-ns --without-x --with-dumping=pdumper
	 --disable-ns-self-contained
	 '--enable-locallisppath=/Library/Application
	 Support/Emacs/calendar28:/Library/Application Support/Emacs'
	 --with-file-notification=yes CPPFLAGS=-I/opt/local/include 'CFLAGS=-g
	 -H -pipe -fPIC -fno-common -Os -arch x86_64 -fomit-frame-pointer
	 -std=c11' 'LDFLAGS=-v -arch x86_64 -Wl,-bind_at_load -Wl,-t -L
	 /opt/local/lib'
	 PKG_CONFIG_PATH=/opt/local/libexec/openssl3/lib/pkgconfig:/opt/local/lib/pkgconfig:/opt/local/share/pkgconfig:/usr/lib/pkgconfig:/opt/X11/lib/pkgconfig
	 CC=clang CXX=clang++ MAKEINFO=/opt/local/bin/makeinfo'

It built and I installed Emacs.app as /Applications/AquaEmacs-28.0.90.app (to separate it from the Mac variant, available only for GNU Emacs 27.x). Then I configured the X11 client à la:

	In GNU Emacs 28.0.90 (build 1, x86_64-apple-darwin21.2.0, X toolkit, cairo version 1.17.4, Xaw3d scroll bars)
	 of 2022-01-02 built on Kleines.local
	Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
	System Description:  macOS 12.1
	
	Configured using:
	 'configure --without-libsystemd --without-pop --without-sound
	 --without-gpm --without-dbus --without-selinux --without-imagemagick
	 --without-ns --with-x --with-dumping=none --disable-ns-self-contained
	 --with-x-toolkit=athena --x-libraries=/opt/local/lib
	 --x-includes=/opt/local/include
	 '--enable-locallisppath=/Library/Application
	 Support/Emacs/calendar28:/Library/Application Support/Emacs'
	 --with-file-notification=yes CPPFLAGS=-I/opt/local/include 'CFLAGS=-g
	 -H -pipe -fPIC -fno-common -Os -arch x86_64 -fomit-frame-pointer
	 -std=c11' 'LDFLAGS=-v -arch x86_64 -Wl,-bind_at_load -Wl,-t -L
	 /opt/local/lib'
	 PKG_CONFIG_PATH=/opt/local/libexec/openssl3/lib/pkgconfig:/opt/local/lib/pkgconfig:/opt/local/share/pkgconfig:/usr/lib/pkgconfig:/opt/X11/lib/pkgconfig
	 CC=clang CXX=clang++ MAKEINFO=/opt/local/bin/makeinfo'

It built and was just installed. When I now invoke '/Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs -Q' it complains:

	desired fingerprint: 4d354353b8f40c4a104e7d527485c1326771b2eb129780879008256a10c405cf
	found fingerprint: 5e8639f383b8b6dbf3a84b080fad2ff84d81c23682262d61fc16d63a7177256c
	emacs: could not load dump file "/usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp": not built for this Emacs executable

Some time stamps:

	Pete 240 /\ ls -ltr /Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs /usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp /usr/local/bin/emacs-28.0.90
	-rwxr-xr-x 1 pete admin     7011296 2021-12-20 17:48 /Applications/AquaEmacs-28.0.90.app/Contents/MacOS/Emacs
	-rw-r--r-- 1 root _unknown 15866232 2021-12-27 18:11 /usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp
	-rwxr-xr-x 1 root wheel     6596656 2021-12-27 19:00 /usr/local/bin/emacs-28.0.90

The X client works OK. The file /usr/local/libexec/emacs/28.0.90/x86_64-apple-darwin21.2.0/emacs.pdmp obviously was built while building the X client, although neither 'gmake' nor 'gmake install' show any occurrence of the string "pdmp" in their logs. The file emacs.pdmp should be saved inside the application bundle when it gets changed by a new build.

--
Greetings

  Pete

"If I can't dance to it, it's not my revolution.“
				– A t-shirt designed by Jack Frager